Note
Access to this page requires authorization. You can try signing in or changing directories.
Access to this page requires authorization. You can try changing directories.
Retrieve the properties of a postedApprovalEntry object in Business Central.
HTTP request
Replace the URL prefix for Business Central based on the environment. For more information, see API endpoints.
GET businesscentralPrefix/companies({companyId})/postedApprovalEntries({postedApprovalEntryId})
To retrieve all posted approval entries, omit ({postedApprovalEntryId}) from the request URL.
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Don't supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a postedApprovalEntry object in the response body.
Example
Request
Here's an example of the request.
GET https://{businesscentralPrefix}/api/v2.0/companies({companyId})/postedApprovalEntries({postedApprovalEntryId})
Response
Here's an example of the response.
Note
The response object is truncated for brevity. The actual response includes all properties.
{
"id": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
"entryNumber": 41,
"documentNumber": "PSI-103021",
"senderId": "ALEX",
"senderName": "Alex Wilber",
"approverId": "SARA",
"approverName": "Sara Davis",
"status": "Approved",
"dateTimeSentForApproval": "2026-08-01T08:15:00Z",
"lastDateTimeModified": "2026-08-01T10:20:00Z",
"amount": 2450.00,
"currencyCode": "USD",
"iterationNumber": 1,
"lastModifiedDateTime": "2026-08-01T10:20:00Z"
}